
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>linux命令学习-第三天 / 憋错料</title>

    <meta name="description" content="linux命令学习-第三天 3.1 Linux文件信息 inode和目录项 1,什么是inode和目录项 文件在硬盘上的最小存储单位叫做扇区,每个扇区存储512字节.操作系统读取硬盘的时候,不会一个个扇区读取,而是一次性连续读取多个扇区,即一次性读取一个块,块的大小最常见的就是4K,即连续八个扇区组成一个块. 文件数据都存储在块中,那么和显然,还必须有一个地方存储文件的元信息.比如文件的创建者,文件的创建日期,文件的长度等,这种存储文件元信息的区域就叫做inode(索引节点). 文件名不是保存在inode中,而是保存在目录">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">linux命令学习-第三天</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>3.1 Linux文件信息</p>
<p>inode和目录项</p>
<p>1，什么是inode和目录项</p>
<p>文件在硬盘上的最小存储单位叫做扇区，每个扇区存储512字节。操作系统读取硬盘的时候，不会一个个扇区读取，而是一次性连续读取多个扇区，即一次性读取一个块，块的大小最常见的就是4K,即连续八个扇区组成一个块。</p>
<p>文件数据都存储在块中，那么和显然，还必须有一个地方存储文件的元信息。比如文件的创建者，文件的创建日期，文件的长度等，这种存储文件元信息的区域就叫做inode(索引节点）。</p>
<p>文件名不是保存在inode中，而是保存在目录项中，文件名把文件的名称和对应的inode关联在一起。</p>
<p>2，inode大小</p>
<p>inode也会占用磁盘空间，所以硬盘格式化的时候，操作系统自动将硬盘分为两个区域，一个是数据区，存放文件数据，另一个是inode区，存放inode所包含的信息。</p>
<p>每个inode节点的大小，一般是128字节或256字节，inode字节的总数，在格式化时就给指定了，一般是每1KB或每2KB就设置一个inode.假设在一块1GB的硬盘中，每个inode节点大大小为128字节，每1KB</p>
<p>就设置一个inode,那么inode表的大小就会达到128MB,占整个硬盘的12.8%。使用df命令可以查看每个硬盘分区的inode总数和已经适应的数量。</p>
<p># df -i</p>
<p>文件系统&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Inode&nbsp; 已用(I)&nbsp; 可用(I) 已用(I)%% 挂载点</p>
<p>/dev/mapper/vg_server-lv_root</p>
<p>3276800&nbsp;&nbsp; 94445 3182355&nbsp;&nbsp;&nbsp; 3% /</p>
<p>tmpfs&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 256881&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 5&nbsp; 256876&nbsp;&nbsp;&nbsp; 1% /dev/shm</p>
<p>/dev/sda1&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 128016&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 43&nbsp; 127973&nbsp;&nbsp;&nbsp; 1% /boot</p>
<p>/dev/mapper/vg_server-lv_home</p>
<p>2990080&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 12 2990068&nbsp;&nbsp;&nbsp; 1% /home</p>
<p>---------------------------------------------------------------------</p>
<p>查看每个inode的大小，可以使用以下命令：</p>
<p># dumpe2fs -h /dev/sda1 |grep "Inode size"</p>
<p>dumpe2fs 1.41.12 (17-May-2010)</p>
<p>Inode size:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 128</p>
<p>---------------------------------------------------------------------</p>
<p>由于每个文件都必须有一个inode，因此有可能发生inode已经用光，但是硬盘还未存满的情况，这时就无法再硬盘上创建新文件。</p>
<p>3，inode号码：</p>
<p>每个inode都有一个号码，Linux系统用inode号码来识别不同的文件，Linux系统内部不使用文件名，而使用inode号码来识别文件，对系统来说，文件名只是inode号码便于识别的别名。表面上用户通过文件名打开文件，实际上系统内部这个过程分为三步：首先系统找到这个文件名对应的 inode号码，其次通过inode号码获取inode信息，最后根据信息找到文件数据所在的块，然后读取数据。</p>
<p>使用ls -i 命令可以查看文件名对应的inode号码：</p>
<p># ls -i test.log</p>
<p>3019507 test.log</p>
<p>---------------------------------------------------------------------</p>
<p>3.2 使用stat命令查看文件信息。</p>
<p>使用stat命令可以查看文件信息，比如文件的inode，权限，时间属性，文件大小，所有者，链接数量以及文件类型等。</p>
<p>#stat kkk</p>
<p>File: "kkk"</p>
<p>Size: 4096&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Blocks: 8&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; IO Block: 4096&nbsp;&nbsp; 目录</p>
<p>Device: fc02h/64514d&nbsp;&nbsp; &nbsp;Inode: 2228225&nbsp;&nbsp;&nbsp;&nbsp; Links: 2</p>
<p>Access: (0755/drwxr-xr-x)&nbsp; Uid: (&nbsp;&nbsp;&nbsp; 0/&nbsp;&nbsp;&nbsp; root)&nbsp;&nbsp; Gid: (&nbsp;&nbsp;&nbsp; 0/&nbsp;&nbsp;&nbsp; root)</p>
<p>Access: 2017-07-17 20:07:20.463000814 +0800</p>
<p>Modify: 2017-07-17 20:06:49.095997672 +0800</p>
<p>Change: 2017-07-17 20:06:49.095997672 +0800</p>
<p>cd 更改工作目录路径</p>
<p>绝对路径从/(根)开始，然后循环所需的目录下</p>
<p>相对路径从当前目录开始</p>
<p>cd ~&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; :进入用户主目录</p>
<p>--------------------------------------------------------------------</p>
<p>cd -&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; :返回进入此目录之前所在的目录</p>
<p>--------------------------------------------------------------------</p>
<p>cd ..&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; :返回上级目录</p>
<p>--------------------------------------------------------------------</p>
<p>cd ../..&nbsp;&nbsp; :返回上两级目录</p>
<p>---------------------------------------------------------------------</p>
<p>touch：创建空文件，更改文件时间。</p>
<p>---------------------------------------------------------------------</p>
<p>mkdir:创建目录：</p>
<p>-p ：一次创建多个目录。</p>
<p>---------------------------------------------------------------------</p>
<p>#du -a /boot|sort -rn|head -5</p>
<p>45791&nbsp;&nbsp; /boot</p>
<p>16124&nbsp;&nbsp; /boot/initramfs-2.6.32-358.el6.x86_64.img</p>
<p>15816&nbsp;&nbsp; /boot/initramfs-2.6.39-400.17.1.el6uek.x86_64.img</p>
<p>4011&nbsp;&nbsp;&nbsp; /boot/vmlinuz-2.6.39-400.17.1.el6uek.x86_64</p>
<p>3951&nbsp;&nbsp;&nbsp; /boot/vmlinuz-2.6.32-358.el6.x86_64</p>
<p>---------------------------------------------------------------------</p>
<p>sort:</p>
<p>-n 依据数值的大小排序。</p>
<p>-r 以相反的顺序来排序。</p>
<p>---------------------------------------------------------------------</p>
<p>head:</p>
<p>head用来显示档案的开头至标准输出当中，默认head命令打印其相应文件的开头10行。</p>
<p>head -n 显示的行数。</p>
<p>---------------------------------------------------------------------</p>
<p>tail:</p>
<p>默认查看文件的最后10行。</p>
<p>tail -5 查看文档的最后5行</p>
<p>---------------------------------------------------------------------</p>
<p>ls 列出目录和文件信息</p>
<p>文件属性 &nbsp; &nbsp;文件数 拥有者 &nbsp;所属的group &nbsp;文件大小 &nbsp;&nbsp;&nbsp; 建档日期 &nbsp; 文件名　　</p>
<p>drwx------ &nbsp;&nbsp; 2 &nbsp; &nbsp;Guest &nbsp;&nbsp;&nbsp; users &nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;1024 &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 21<br />
21:05 &nbsp; Mail</p>
<p>-rwx--x—x&nbsp;&nbsp;&nbsp; 1 &nbsp; &nbsp;root &nbsp;&nbsp;&nbsp;&nbsp;root &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 89080  &nbsp;&nbsp;&nbsp; 7 22:41 &nbsp;&nbsp; tar　</p>
<p>-rwxr-xr-x &nbsp;&nbsp; 1 &nbsp; &nbsp;root &nbsp;&nbsp;&nbsp;&nbsp;bin &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 5013 &nbsp; &nbsp;&nbsp;&nbsp; 15 9:32 &nbsp;&nbsp; uname</p>
<p>-rwxr-xr-x &nbsp;&nbsp; 1 &nbsp; &nbsp;root &nbsp;&nbsp;&nbsp;&nbsp;bin &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 308364 &nbsp;&nbsp;&nbsp; 29 7:43 &nbsp;&nbsp; zsh　</p>
<p>-rwsr-x--- &nbsp;&nbsp; 1 &nbsp; &nbsp;root &nbsp;&nbsp;&nbsp;&nbsp;bin &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 9853 &nbsp; &nbsp;&nbsp;&nbsp; 15<br />
5:46 &nbsp;&nbsp; su</p>
<p>例，一文件的最后一次访问时间（最近时间为后），对/root目录中的文件和子目录进行排序显示</p>
<p>#ls -ltr /root</p>
<p>总用量 32</p>
<p>drwxr-xr-x. 2 root root 4096<br />
7月&nbsp; 17<br />
13:29 桌面</p>
<p>drwxr-xr-x. 2 root root 4096<br />
7月&nbsp; 17<br />
13:29 音乐</p>
<p>drwxr-xr-x. 2 root root 4096<br />
7月&nbsp; 17<br />
13:29 下载</p>
<p>drwxr-xr-x. 2 root root 4096<br />
7月&nbsp; 17<br />
13:29 文档</p>
<p>drwxr-xr-x. 2 root root 4096<br />
7月&nbsp; 17<br />
13:29 图片</p>
<p>drwxr-xr-x. 2 root root 4096<br />
7月&nbsp; 17<br />
13:29 视频</p>
<p>drwxr-xr-x. 2 root root 4096<br />
7月&nbsp; 17<br />
13:29 模板</p>
<p>drwxr-xr-x. 2 root root 4096<br />
7月&nbsp; 17<br />
13:29 公共的</p>
<p>-rw-r--r--&nbsp; 1 root root&nbsp;&nbsp;&nbsp;<br />
0 7月&nbsp; 18 19:49 oracle-release</p>
<p>3.3链接文件的简介：</p>
<p><a href="http://lib.csdn.net/base/linux" rel="external nofollow noreferrer">Linux</a>系统下提供ln指令来进行文件链接。文件链接主要分为硬链接和软链接。</p>
<p>1,硬链接：由于<a href="http://lib.csdn.net/base/linux" rel="external nofollow noreferrer">linux</a>下的文件是通过索引节点（inode）来识别文件，硬链接可以认为是一个指针，指向文件索引节点的指针，系统并不为它重新分配inode。每添加一个一个硬链接，文件的链接数就加1。</p>
<p>可以用:ln命令来建立硬链接</p>
<p>例如：</p>
<p>ln file01 hardfile01&nbsp; 建立file01的硬链接</p>
<p>不足：</p>
<p>尽管硬链接节省空间，也是Linux系统整合文件系统的传统方式，但是存在一下不足之处：</p>
<p>（1）不可以在不同文件系统的文件间建立链接</p>
<p>（2）只有超级用户才可以为目录创建硬链接。</p>
<p>取消硬链接时可以使用unlink取消任何一个，对其他文件没有影响</p>
<p>例如：unlink file01</p>
<p>2,软链接克服了硬链接的不足，没有任何文件系统的限制，任何用户可以创建指向目录的符号链接。</p>
<p>ln -s abc cde 建立abc 的软连接</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-13 16:59:10 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.biecuoliao.com/tag/%e5%a4%9a%e4%b8%aa/" title="多个">多个</a>, <a href="https://www.biecuoliao.com/tag/nbsp/" title="nbsp">nbsp</a>, <a href="https://www.biecuoliao.com/tag/%e5%88%9b%e5%bb%ba/" title="创建">创建</a>, <a href="https://www.biecuoliao.com/tag/%e7%b3%bb%e7%bb%9f/" title="系统">系统</a>, <a href="https://www.biecuoliao.com/tag/%e7%9f%a5%e8%af%86/" title="知识">知识</a>, <a href="https://www.biecuoliao.com/tag/%e4%b8%80%e4%b8%aa%e4%b8%aa/" title="一个个">一个个</a>, <a href="https://www.biecuoliao.com/tag/%e7%a1%ac%e7%9b%98/" title="硬盘">硬盘</a>, <a href="https://www.biecuoliao.com/tag/%e8%bd%af%e8%bf%9e%e6%8e%a5/" title="软连接">软连接</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>linux命令学习-第三天的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/35NLWo4.html" rel="bookmark">Linux命令学习笔记目录</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Linux命令学习笔记目录 最近正在使用,linux,顺便将用到的命令整理了一下. 一. 文件目录操作命令: 0.linux命令学习笔记(0):man 命令 1.linux命令学习笔记(1):ls命令 2.linux命令学习笔记(2):cd命令 3.linux命令学习笔记(3):pwd命令 4.linux命令学习笔记(4):mkdir命令 5.linux命令学习笔记(5):rm 命令 6.linux命令学习笔记(6):rmdir 命令 7.linux命令学习笔记(7):mv命令 8.linux命			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/M661QdM.html" rel="bookmark">linux命令学习之文件目录命令-mv命令</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				mv命令可以用来移动文件或者将文件改名(move (rename) files),经常用来备份文件或者目录 命令学习 命令格式:mv [选项] 源文件或目录 目标文件或目录命令功能:根据mv命令中第二个参数类型(是目标文件还是目标目录),mv命令将文件重命名或将其移至一个新的目录中.当第二个参数类型是文件时,mv命令完成文件重命名,此时,源文件只能有一个(也可以是源目录名),它将所给的源文件或目录重命名为给定的目标文件名.当第二个参数是已存在的目录名称时,源文件或目录参数可以有多个,mv命令将各			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MG8lNZ0.html" rel="bookmark">Linux命令学习之&mdash;每天发一个命令&mdash;mkdir</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Linux命令学习之-每天发一个命令-mkdir mkdir 命令用来创建指定的名称的目录,要求创建目录的用户在当前目录中具有写权限,并且指定的目录名不能是当前目录中已有的目录. 1．命令格式: mkdir [选项] 目录... 2．命令功能: 通过 mkdir 命令可以实现在指定位置创建以 DirName(指定的文件名)命名的文件夹或目录.要创建文件夹或目录的用户必须对所创建的文件夹的父文件夹具有写权限.并且,所创建的文件夹(目录)不能与其父目录(即父文件夹)中的文件名重名,即同一个目录下不能			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MElnQD4.html" rel="bookmark">Linux命令学习Day1</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一直想学习Linux命令行,但是总是没有坚持.[Linux命令学习]系列博客将会记录我学习命令行的点点滴滴. 今天自己学习的4个命令: uname -- 查看系统信息 find -- 查找命令 dos2unix – Dos文件转换成Unix文件 cat -- 显示命令 下面简要描述下这几个命令. uname常用的几个选项: -a(打印所有信息) -s(内核名字) -r(内核版本) find功能强大,常用的语法格式: 路径 -- 在find命令后开始搜索的路径,若未指定则默认从当前路径开始搜索 -			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0KZa8yM.html" rel="bookmark">linux命令学习-首篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在home目录的.bashrc 添加了如下逻辑,目的是可以&quot;每日&quot;学习或复习linux命令 # 学习linux命令 # echo &quot;Did you know that:&quot;; whatis $(ls /bin | shuf -n 1) cowsay -f $(ls /usr/share/cowsay/cows | shuf -n 1 | cut -d. -f1) $(whatis $(ls /bin) 2&gt;/dev/null | shuf -n 1) 效果图:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0doXweM.html" rel="bookmark">Linux命令学习总结&colon; file命令</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				http://www.cnblogs.com/kerrycode/p/3806618.html Linux命令学习总结: file命令 命令简介: 该命令用来识别文件类型,也可用来辨别一些文件的编码格式.它是通过查看文件的头部信息来获取文件类型,而不是像Windows通过扩展名来确定文件类型的. 执行权限 :All User 指令所在路径:/usr/bin/file 命令语法: file [ -bchikLnNprsvz ] [ -f namefile ] [ -F separator ] [			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0bR7vm0.html" rel="bookmark">每日linux命令学习-引用符号（反斜杠&bsol;，单引号&amp;&num;39&semi;&amp;&num;39&semi;，双引号&amp;quot&semi;&amp;quot&semi;）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				引用符号在解析器中保护特殊元字符和参数扩展,其使用方法有3种:反斜杠(\),单引号(''),双引号(&quot;&quot;). 单引号和双引号必须匹配使用,均可在解析器中保护特殊元字符和通配符,但是单引号(硬转义)主要用于信息的原样输出,防止任何变量的扩展,双引号(软转义)允许变量扩展.转义符和命令替换.单引号保护双引号,双引号保护单引号. 1. 反斜杠 反斜杠通过解析器将1个字符转化为引用符号或转义. 1)在单引号内使用反斜杠,反斜杠不会被解析,保持原样输出. 2)在双引号内使用反斜杠,主要用于美元符			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/49ljPW3.html" rel="bookmark">Linux命令学习总结：rm命令</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				命令简介: 该命令用来删除Linux系统中的文件或目录.通常情况下rm不会删除目录,你必须通过指定参数-r或-R来删除目录.另外rm通常可以将该文件或目录恢复(注意,rm删除文件其实只是将指向数据块的索引点(information nodes)释放,只要不被覆盖,数据其实还在硬盘上.如果想要保证文件的内容无法复原,可以使用命令shred . 另外一般还是要慎用rm -rf *这样的命令. 执行权限 :All User 指令所在路径:/bin/rm 命令语法: rm [OPTION]... FIL			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4porZx3.html" rel="bookmark">Linux命令学习总结：reboot命令</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				命令简介: 该命令用来重启Linux系统.相当于Windows系统中的restart命令. 命令语法: /sbin/reboot [-n] [-w] [-d] [-f] [-i] 或 reboot [-n] [-w] [-d] [-f] [-i] 命令参数: 参数 长参数 描叙 -d 重新启动时不把数据写入记录文件/var/tmp/wtmp -f 强制重新开机,不调用shutdown指令的功能. -h 在系统关机或poweroff之前,将所有的硬盘处于待机模式 -i 关闭网络设置之后再重新启动系			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xQWaj3.html" rel="bookmark" class="title">win8&period;1中xshell输入中文显示问号问题</a>
					<div>
						自我实践了,真的有效果,特此推荐,老规矩,原文地址. 尝试使用win8.1但发现使用xshell连接虚拟机后,无法输入中文了,真是毛病,只能想办法解决了. 控制面板--语言   删除除中文输入法之外的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEk1zZ3.html" rel="bookmark" class="title">天气突变&comma;注意添衣加被&period;&period;&period;</a>
					<div>
						基础班正式开课第一天,感觉节奏一下子加快了不少,以后每天的知识量也会越来越多,加油吧! &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Tra ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OaVygM.html" rel="bookmark" class="title">使用Ajax上传图片到服务器（不刷新页面）</a>
					<div>
						有时候我们需要上传图片时不刷新页面,那么Ajax就是很好的东西哦.之前在网上找了很多的资料都不对,不是这里就是那里错,这是本人亲自测试了的哈,是没有问题的,若有不足之处希望指正.我用的.net,对了这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M61DEX4.html" rel="bookmark" class="title">&bsol;r&bsol;n 回车换行浅析</a>
					<div>
						\r \012 10 x0a return \n \015 13 x0d newline Unix系统里,每行结尾只有“&lt;换行&gt;”,即“\n”: Windows系统里面,每行结尾是“&lt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M62EXyM.html" rel="bookmark" class="title">修改程序</a>
					<div>
						#include&quot;stdio.h&quot; #include&quot;conio.h&quot; #define PAGE 3 #define MAX 1000 #define N 5  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MV8kdk3.html" rel="bookmark" class="title">c&plus;&plus;11&colon; &amp;lt&semi;thread&amp;gt&semi;学习</a>
					<div>
						&lt;thread&gt;头文件中包含thread类与this_thread命名空间,下面逐一介绍. thread类 1. 构造函数 (1)默认构造函数 thread() noexcept; 默认构 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49raR1M.html" rel="bookmark" class="title">防御导弹算法</a>
					<div>
						算法效率绝对是最烂的(大鸟无喷),时间空间效率完全没有考虑,但是可能是最直观的,最白痴的思路.没有运用XXX算法思想,就是保证没读过算法相关书籍的任何人都能读懂. 题目出处:http://www.pr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6bnoZM.html" rel="bookmark" class="title">扩展ASP&period;NET MVC HtmlHelper类</a>
					<div>
						在这篇帖子中我会使用一个示例演示扩展ASP.NET MVC HtmlHelper类,让它们可以在你的MVC视图中工作.这个示例中我会提供一个简单的方案生成Html表格. HtmlHelper类 Htm ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38wvNK0.html" rel="bookmark" class="title">系统安装2---BIOS设置</a>
					<div>
						|   版权声明:本文为博主原创文章,未经博主允许不得转载. 对于新的电脑通过U盘安装Windows系统,我们第一步绝对是修改BIOS设置.在这里面我们要修改几项比较重要的选项.如下介绍: 修改第一启 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KOKkr0.html" rel="bookmark" class="title">实践与练习6&period;7-1</a>
					<div>
						1 package shuzu; 2 3 import java.util.Arrays; 4 5 public class SZ { 6 7 public static void main(Stri ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MElBNg4.html" rel="bookmark" class="title">tomcat修改默认web目录</a>
					<div>
						1.修改$tomcat/conf/server.xml文件,在&lt;host&gt;&lt;/host&gt;标签之间添加上: &lt;Context docBase=&quot;D:\apache ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0R7Av73.html" rel="bookmark" class="title">ArcEngine下TIN生成等高线</a>
					<div>
						时间太晚了,直接附上源码: /// &lt;summary&gt; /// TIN生成等高线 /// &lt;/summary&gt; /// &lt;param name=&quot;pInterv ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AA5dv4.html" rel="bookmark" class="title">Bootstrap之栅格系统</a>
					<div>
						bootstrap 移动优先 中文官网  http://www.bootcss.com/ 1.基本模板 &lt;!DOCTYPE html&gt; &lt;html lang=&quot;en&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3waRGjM.html" rel="bookmark" class="title">Change the ball（找规律）</a>
					<div>
						Change the ball Time Limit: 2000/1000 MS (Java/Others)    Memory Limit: 32768/32768 K (Java/Others)T ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0aRJDQ3.html" rel="bookmark" class="title">全面理解Java内存模型</a>
					<div>
						尊重原创:http://blog.csdn.net/suifeng3051/article/details/52611310 Java内存模型即JavaMemory Model,简称JMM.JMM定义 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0ezEyg3.html" rel="bookmark" class="title">error LNK1104&colon; 无法打开文件&OpenCurlyDoubleQuote;libboost&lowbar;thread-vc140-mt-gd-1&lowbar;61&period;lib&rdquo;</a>
					<div>
						error LNK1104: 无法打开文件“libboost_thread-vc140-mt-gd-1_61.lib” 调试-&gt;你的项目属性 配置属性-&gt;VC++目录 包含目录 D:\bo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rBJKX3.html" rel="bookmark" class="title">&lpar;转&rpar;PHP浮点数的一个常见问题的解答</a>
					<div>
						作者: Laruence 原文地址: http://www.laruence.com/2013/03/26/2884.html 关于PHP的浮点数, 我之前写过一篇文章: 关于PHP浮点数你应该知道的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEjReQ0.html" rel="bookmark" class="title">遇到的一个JS原型的问题，还没得到解决</a>
					<div>
						今天写代码的时候出现了一些问题.首先我的html文件是这样的 &lt;div id = &quot;tag_add&quot; onclick=&quot;addUser()&quot;&gt;&lt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVQalj4.html" rel="bookmark" class="title">python之初级学习</a>
					<div>
						一.python安装 1.下载安装包(本人使用python3.5.1) https://www.python.org/downloads/ 2.安装python-3.5.1.exe 本人下载的是pyt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmmE2VM.html" rel="bookmark" class="title">OpenStack 通用设计思路 - 每天5分钟玩转 OpenStack（25）</a>
					<div>
						API 前端服务 每个 OpenStack 组件可能包含若干子服务,其中必定有一个 API 服务负责接收客户请求. 以 Nova 为例,nova-api 作为 Nova 组件对外的唯一窗口,向客户暴露 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
